# Configuration file local to this node

{ config, pkgs, ... }:

{
  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "df-ykl";

  deuxfleurs.network_interface = "enp0s31f6";
  deuxfleurs.lan_ip = "192.168.5.117";
  deuxfleurs.ipv6 = "2a02:a03f:6510:5102:6e4b:90ff:fe3b:e86c";

  deuxfleurs.cluster_ip = "10.83.3.1";
  deuxfleurs.is_raft_server = true;

  fileSystems."/mnt" = {
    device = "/dev/disk/by-uuid/f7aa396f-23d0-44d3-89cf-3cb00bbb6c3b";
    fsType = "xfs";
    options = [ "nofail" ];
  };
}
