# Configuration file local to this node

{ config, pkgs, ... }:

{
  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "df-ymf";

  deuxfleurs.network_interface = "enp0s31f6";
  deuxfleurs.lan_ip = "192.168.5.134";
  deuxfleurs.ipv6 = "2a02:a03f:6510:5102:6e4b:90ff:fe3a:6174";

  deuxfleurs.cluster_ip = "10.83.3.2";
  deuxfleurs.is_raft_server = false;

  fileSystems."/mnt" = {
    device = "/dev/disk/by-uuid/fec20a7e-5019-4747-8f73-77f3f196c122";
    fsType = "xfs";
    options = [ "nofail" ];
  };
}
