# Configuration file local to this node

{ config, pkgs, ... }:

{
  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "df-ymk";

  deuxfleurs.network_interface = "enp0s31f6";
  deuxfleurs.lan_ip = "192.168.5.116";
  deuxfleurs.ipv6 = "2a02:a03f:6510:5102:6e4b:90ff:fe3b:e939";

  deuxfleurs.cluster_ip = "10.83.3.3";
  deuxfleurs.is_raft_server = false;

  fileSystems."/mnt" = {
    device = "/dev/disk/by-uuid/51d95b17-0e06-4a73-9e4e-ae5363cc4015";
    fsType = "xfs";
    options = [ "nofail" ];
  };
}
